Subject: Re: Rebase doesn't restore branch pointer back on out of memory

From: Andrew Wong <[email-masked]>
Date: Thu, 04 Oct 2012 18:52:23 -0400

On 10/04/2012 05:09 PM, Alexander Kostikov wrote:
> Full script is uploaded to
> https://dl.dropbox.com/u/10828740/rebase.log  Here is the last page:
Judging from that log, I'm pretty sure "rebase" is failing at 
"format-patch". I was able to reproduce the issue you're having: 
"rebase" finished and modified the branch even though it actually failed.

"rebase" is not catching that error. I'll try to come up with a patch to 
fix it later tonight, so that "rebase" will fail correctly. And when it 
does, you'll be able to do "rebase --abort" to go back to your original 
state.